#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x354057b3, "module_layout" },
	{ 0x3e8e3012, "nft_unregister_expr" },
	{ 0xe3bef7fa, "nft_register_expr" },
	{ 0xa14195eb, "neigh_xmit" },
	{ 0x8b3f8d66, "dev_get_by_index_rcu" },
	{ 0xff5436f2, "pskb_expand_head" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xadc2ce81, "nla_put" },
	{ 0xf96c02cf, "nf_fwd_netdev_egress" },
	{ 0xe2b8cc13, "nft_parse_register_load" },
	{ 0xde365ed6, "nft_dump_register" },
	{ 0x4c26b4c, "nft_chain_validate_hooks" },
	{ 0x9160a655, "nft_fwd_dup_netdev_offload" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "nf_tables,nf_dup_netdev");


MODULE_INFO(srcversion, "4AB1037C089D573A18472DC");
